# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.projecthosting
Class Updates

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.projecthosting.Updates

All Implemented Interfaces:
  Extension

    public class Updates

extends ExtensionPoint

List of metadata updates.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`Updates()` Default mutable constructor.

Method Summary
`void` `addBlockedOnUpdate(BlockedOnUpdate blockedOnUpdate)` Adds a new blocked on update.
`void` `addCcUpdate(CcUpdate ccUpdate)` Adds a new cc update.
`void` `addLabel(Label label)` Adds a new label.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`java.util.List<BlockedOnUpdate>` `getBlockedOnUpdates()` Returns the blocked on updates.
`java.util.List<CcUpdate>` `getCcUpdates()` Returns the cc updates.
`static ExtensionDescription` `getDefaultDescription(boolean required, boolean repeatable)` Returns the extension description, specifying whether it is required, and whether it is repeatable.
`java.util.List<Label>` `getLabels()` Returns the labels.
`MergedIntoUpdate` `getMergedIntoUpdate()` Returns the merged into update.
`OwnerUpdate` `getOwnerUpdate()` Returns the owner update.
`Status` `getStatus()` Returns the status.
`Summary` `getSummary()` Returns the summary.
`boolean` `hasBlockedOnUpdates()` Returns whether it has the blocked on updates.
`boolean` `hasCcUpdates()` Returns whether it has the cc updates.
`boolean` `hasLabels()` Returns whether it has the labels.
`boolean` `hasMergedIntoUpdate()` Returns whether it has the merged into update.
`boolean` `hasOwnerUpdate()` Returns whether it has the owner update.
`boolean` `hasStatus()` Returns whether it has the status.
`boolean` `hasSummary()` Returns whether it has the summary.
`void` `setMergedIntoUpdate(MergedIntoUpdate mergedIntoUpdate)` Sets the merged into update.
`void` `setOwnerUpdate(OwnerUpdate ownerUpdate)` Sets the owner update.
`void` `setStatus(Status status)` Sets the status.
`void` `setSummary(Summary summary)` Sets the summary.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getHandler, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Updates

    public Updates()

  Default mutable constructor.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.

### getBlockedOnUpdates

    public java.util.List<BlockedOnUpdate> getBlockedOnUpdates()

  Returns the blocked on updates.

  Returns:
    blocked on updates

### addBlockedOnUpdate

    public void addBlockedOnUpdate(BlockedOnUpdate blockedOnUpdate)

  Adds a new blocked on update.

  Parameters:
    `blockedOnUpdate` - blocked on update

### hasBlockedOnUpdates

    public boolean hasBlockedOnUpdates()

  Returns whether it has the blocked on updates.

  Returns:
    whether it has the blocked on updates

### getCcUpdates

    public java.util.List<CcUpdate> getCcUpdates()

  Returns the cc updates.

  Returns:
    cc updates

### addCcUpdate

    public void addCcUpdate(CcUpdate ccUpdate)

  Adds a new cc update.

  Parameters:
    `ccUpdate` - cc update

### hasCcUpdates

    public boolean hasCcUpdates()

  Returns whether it has the cc updates.

  Returns:
    whether it has the cc updates

### getLabels

    public java.util.List<Label> getLabels()

  Returns the labels.

  Returns:
    labels

### addLabel

    public void addLabel(Label label)

  Adds a new label.

  Parameters:
    `label` - label

### hasLabels

    public boolean hasLabels()

  Returns whether it has the labels.

  Returns:
    whether it has the labels

### getMergedIntoUpdate

    public MergedIntoUpdate getMergedIntoUpdate()

  Returns the merged into update.

  Returns:
    merged into update

### setMergedIntoUpdate

    public void setMergedIntoUpdate(MergedIntoUpdate mergedIntoUpdate)

  Sets the merged into update.

  Parameters:
    `mergedIntoUpdate` - merged into update or `null` to reset

### hasMergedIntoUpdate

    public boolean hasMergedIntoUpdate()

  Returns whether it has the merged into update.

  Returns:
    whether it has the merged into update

### getOwnerUpdate

    public OwnerUpdate getOwnerUpdate()

  Returns the owner update.

  Returns:
    owner update

### setOwnerUpdate

    public void setOwnerUpdate(OwnerUpdate ownerUpdate)

  Sets the owner update.

  Parameters:
    `ownerUpdate` - owner update or `null` to reset

### hasOwnerUpdate

    public boolean hasOwnerUpdate()

  Returns whether it has the owner update.

  Returns:
    whether it has the owner update

### getStatus

    public Status getStatus()

  Returns the status.

  Returns:
    status

### setStatus

    public void setStatus(Status status)

  Sets the status.

  Parameters:
    `status` - status or `null` to reset

### hasStatus

    public boolean hasStatus()

  Returns whether it has the status.

  Returns:
    whether it has the status

### getSummary

    public Summary getSummary()

  Returns the summary.

  Returns:
    summary

### setSummary

    public void setSummary(Summary summary)

  Sets the summary.

  Parameters:
    `summary` - summary or `null` to reset

### hasSummary

    public boolean hasSummary()

  Returns whether it has the summary.

  Returns:
    whether it has the summary

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean required,
                                                             boolean repeatable)

  Returns the extension description, specifying whether it is required, and whether it is repeatable.

  Parameters:
    `required` - whether it is required
    `repeatable` - whether it is repeatable
  Returns:
    extension description

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`